Listar webhooks
curl --request GET \
--url https://api.malvo.io/webhooks \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/webhooks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 2,
"totalPages": 1,
"page": 1,
"results": [
{
"id": "39e1d11f-3c12-44a8-a788-75c5747e1a8e",
"event": "all",
"url": "https://api.your-app.com/webhooks/malvo",
"createdAt": "2026-06-10T12:00:00.000Z",
"updatedAt": "2026-06-10T12:00:00.000Z",
"disabled": null
},
{
"id": "7d2a02c1-9c1b-43c5-b144-1bb39b0e8f3c",
"event": "item/error",
"url": "https://api.your-app.com/webhooks/malvo-errors",
"createdAt": "2026-06-01T09:30:00.000Z",
"updatedAt": "2026-06-01T09:30:00.000Z",
"disabled": null
}
]
}{
"code": 401,
"message": "Missing or invalid X-API-KEY",
"codeDescription": "UNAUTHORIZED"
}{
"code": 429,
"message": "Too many requests",
"codeDescription": "RATE_LIMIT_EXCEEDED"
}{
"code": 500,
"message": "Internal server error",
"codeDescription": "INTERNAL_ERROR"
}Webhooks
Listar webhooks
Lista todos os webhooks da sua aplicação no envelope paginado padrão da Malvo. O campo headers é omitido de todos os resultados (write-only).
GET
/
webhooks
Listar webhooks
curl --request GET \
--url https://api.malvo.io/webhooks \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/webhooks"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 2,
"totalPages": 1,
"page": 1,
"results": [
{
"id": "39e1d11f-3c12-44a8-a788-75c5747e1a8e",
"event": "all",
"url": "https://api.your-app.com/webhooks/malvo",
"createdAt": "2026-06-10T12:00:00.000Z",
"updatedAt": "2026-06-10T12:00:00.000Z",
"disabled": null
},
{
"id": "7d2a02c1-9c1b-43c5-b144-1bb39b0e8f3c",
"event": "item/error",
"url": "https://api.your-app.com/webhooks/malvo-errors",
"createdAt": "2026-06-01T09:30:00.000Z",
"updatedAt": "2026-06-01T09:30:00.000Z",
"disabled": null
}
]
}{
"code": 401,
"message": "Missing or invalid X-API-KEY",
"codeDescription": "UNAUTHORIZED"
}{
"code": 429,
"message": "Too many requests",
"codeDescription": "RATE_LIMIT_EXCEEDED"
}{
"code": 500,
"message": "Internal server error",
"codeDescription": "INTERNAL_ERROR"
}Authorizations
Chave de API da aplicação (TTL de 2h). Renove via POST /auth com clientId/clientSecret. Em caso de 401, regenere a apiKey.
Response
Envelope paginado com os webhooks da aplicação.
Envelope paginado padrão da Malvo para a listagem de webhooks.